Returns POI with specified id Beta

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pace.cloud/doc/poi/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Poi MCP server": {
  "url": "https://developer.pace.cloud/doc/poi/mcp"
}
Close
GET /pois/{poiId}

Returns POI with specified id

Path parameters

  • poiId string(uuid) Required

    ID of the POI

Responses

  • 200 application/vnd.api+json

    OK

    Hide headers attribute Show headers attribute
    • Expires string

      RFC 7234, section 5.3: Expires

    Hide response attributes Show response attributes object
    • data object
      Hide data attributes Show data attributes object
      • type string

        POI type this applies to

        Values are GasStation or SpeedCamera.

      • id string(uuid)

        POI ID

      • attributes object
        Hide attributes attributes Show attributes attributes object
        • countryId string

          Country this policy applies to (as ISO3166Alpha2)

        • position object
          Hide position attributes Show position attributes object
        • boundary object
          Hide boundary attributes Show boundary attributes object
        • data array[object]

          a JSON field containing POI specific data

          Hide data attributes Show data attributes object
          • field string

            Values are name, brand, street, houseNumber, postCode, place, holidayIdentifier, operatingHours, or fuelPrices.

          • value string

            escaped json

        • metadata array[object]

          a JSON field containing information about data field origin and update time

          Hide metadata attributes Show metadata attributes object
          • field string

            Values are name, brand, street, houseNumber, postCode, place, holidayIdentifier, operatingHours, or fuelPrices.

          • SourceId string(uuid)

            Source ID

          • UpdatedAt string(date-time)
        • active boolean
        • createdAt string(date-time)
        • updatedAt string(date-time)
        • lastSeenAt string(date-time)
        • references array[string]

          References are PRNs to external and internal resources that are represented by this poi

      • relationships object
        Hide relationships attributes Show relationships attributes object
        • referenceStatuses object
          Hide referenceStatuses attribute Show referenceStatuses attribute object
          • data array[object]
            Hide data attributes Show data attributes object
            • type string

              Value is referenceStatus.

            • id string(uuid)

              Service Provider resource PRN

        • sucessorOf object
          Hide sucessorOf attribute Show sucessorOf attribute object
          • data array[object]
            Hide data attributes Show data attributes object
            • type string

              Value is gasStation.

            • id string(uuid)

              GasStation ID which was superseded by this gas station

    • included array[object]
      Hide included attributes Show included attributes object
      • type string

        Type

        Value is referenceStatus.

      • id string

        Service Provider PRN

      • attributes object
        Hide attributes attributes Show attributes attributes object
        • status string

          Availability status of the referenced resource

          Values are online or offline.

        • updatedAt string(date-time)

          Time of status last update (iso8601)

  • 301

    Resource was permanently moved to new location

    Hide headers attribute Show headers attribute
    • Location string
  • 400 application/vnd.api+json

    Bad request

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 401 application/vnd.api+json

    OAuth token missing or invalid or a linked identity is missing.

    Linked identity missing is a special case where you need to make sure that the user has additionally logged in / authorized with a third-party.

    This is not relevant for most use-cases.

    The specific error code that identifies a missing linked identity is missing-linked-identity

    Example:

      {
          "errors": [
              {
                  "id": "cbgmhslmp1o9or9kh1p0",
                  "title": "Missing linked identity for authorized access",
                  "detail": "Linked identity is needed to access this resource, please check why the user does not have a linked identity",
                  "status": "401",
                  "code": "missing-linked-identity"
              }
          ]
      }
    
    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 404 application/vnd.api+json

    Resource not found

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 406 application/vnd.api+json

    The specified accept header is invalid

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 410 application/vnd.api+json

    Resource is expired

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 500 application/vnd.api+json

    Internal server error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

GET /pois/{poiId}
curl \
 --request GET 'https://api.pace.cloud/poi/2025-2/pois/be83d-a68d-41e3-9467-eb60442ff27b' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
# Headers
Expires: Wed, 21 Oct 2015 07:28:00 GMT

# Payload
{
  "data": {
    "type": "GasStation",
    "id": "f106ac99-213c-4cf7-8c1b-1e841516026b",
    "attributes": {
      "countryId": "DE",
      "position": {
        "type": "Point",
        "coordinates": [
          -71.1043443253471,
          42.3150676015829
        ]
      },
      "boundary": {
        "type": "Polygon",
        "coordinates": [
          [
            8.424,
            49.012
          ],
          [
            9.34,
            49.1
          ],
          [
            8.424,
            49.012
          ]
        ]
      },
      "data": [
        {
          "field": "name",
          "value": "string"
        }
      ],
      "metadata": [
        {
          "field": "name",
          "SourceId": "f106ac99-213c-4cf7-8c1b-1e841516026b",
          "UpdatedAt": "2026-05-04T09:42:00Z"
        }
      ],
      "active": true,
      "createdAt": "2026-05-04T09:42:00Z",
      "updatedAt": "2026-05-04T09:42:00Z",
      "lastSeenAt": "2026-05-04T09:42:00Z",
      "references": [
        "prn:psp:sites:010876234876238991"
      ]
    },
    "relationships": {
      "referenceStatuses": {
        "data": [
          {
            "type": "referenceStatus",
            "id": "prn:psp:sites:010876234876238991"
          }
        ]
      },
      "sucessorOf": {
        "data": [
          {
            "type": "gasStation",
            "id": "a124aa35-8b67-2500-1113-45c8036789aa"
          }
        ]
      }
    }
  },
  "included": [
    {
      "type": "referenceStatus",
      "id": "prn:psp:sites:010876234876238991",
      "attributes": {
        "status": "online",
        "updatedAt": "2018-06-01T00:00:00Z"
      }
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (406)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (410)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}